#ifndef INPUT_H_
#define INPUT_H_

#include <string>
#include <sigc++/sigc++.h>
#include <msp/gltk/dialog.h>
#include <msp/gltk/entry.h>

class Designer;

class InputDialog: public Msp::GLtk::Dialog
{
public:
	sigc::signal<void, const std::string &> signal_accept;

private:
	Designer &designer;
	Msp::GLtk::Entry *entry;

public:
	InputDialog(Designer &, const std::string &, const std::string & =std::string());
private:
	virtual void key_press(unsigned, unsigned);
	virtual void on_response(int);
};

#endif
